/* Desktop */
subnav desk,
subnav item,
subnav sep {
    display: flex;
}

subnav,
subnav desk,
subnav mob {
    height: 27px;
    width: 100%;
}

subnav,
subnav mob {
    display: block;
    margin-bottom: 2px;
}

subnav item {
    border: 1px solid #666666;
    flex: 1;
    height: 25px;
    justify-content: center;
    line-height: 25px;
    -webkit-user-select: none;
    user-select: none;
}

subnav item.sel {
    background-color: #ffffff;
    font-weight: bold;
}

subnav item.unsel {
    background-color: #cccccc;
    cursor: pointer;
}

subnav sep {
    height: 26px;
}

subnav sep.mid {
    width: 16px;
}

subnav sep.left,
subnav sep.right {
    flex: 0.5;
}

/* Desktop - Above Borders */
subnav.above item {
    border-radius: 5px 5px 0 0;
}

subnav.above item.sel {
    border-bottom-color: #ffffff;
}

subnav.above item.unsel {
    border-bottom-color: #cccccc;
}

subnav.above sep {
    border-bottom: 1px solid #666666;
}

/* Desktop - Below Borders */
subnav.below item {
    border-radius: 0 0 5px 5px;
}

subnav.below item.sel {
    border-top-color: #ffffff;
}

subnav.below item.unsel {
    border-top-color: #cccccc;
}

subnav.below sep {
    border-top: 1px solid #666666;
}

/* Mobile */
subnav mob {
    position: relative;
}

subnav mob:before,
subnav mob:after {
    content: " ";
    display: inline-block;
    height: 26px;
    position: absolute;
    top: 0;
    width: 5px;
}

subnav mob:before {
    left: 0;
}

subnav mob:after {
    right: 0;
}

subnav sel,
subnav select {
    height: 100%;
    left: 5px;
    position: absolute;
    top: 0;
}

subnav sel {
    border: 1px solid #666666;
    display: block;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    text-align: center;
    -webkit-user-select: none;
    user-select: none;
    width: calc(100% - 12px);
}

subnav sel:after {
    content: "\27a4";
    display: block;
    position: absolute;
    right: 5px;
    top: 0;
    transform: rotate(90deg);
}

subnav select {
    opacity: 0;
    width: calc(100% - 10px);
}

/* Mobile - Above Borders */
subnav.above mob:before,
subnav.above mob:after {
    border-bottom: 1px solid #666666;
}

subnav.above sel {
    border-bottom-color: #ffffff;
    border-radius: 5px 5px 0 0;
}

/* Mobile - Below Borders */
subnav.below mob:before,
subnav.below mob:after {
    border-top: 1px solid #666666;
}

subnav.below sel {
    border-radius: 0 0 5px 5px;
    border-top-color: #ffffff;
}
